Index: branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/grid_zgr.f90
===================================================================
--- branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/grid_zgr.f90	(revision 7148)
+++ branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/grid_zgr.f90	(revision 7153)
@@ -53,5 +53,6 @@
 !> - H. Liu : Modifications for Wetting/Drying
 !> @date October, 2016
-!> - update from trunk (revision 6961): add wetting and drying, ice sheet coupling..
+!> - J, Paul : update from trunk (revision 6961): add wetting and drying, ice sheet coupling..
+!> - J, Paul : do not use anymore special case for ORCA grid.
 !>
 !> @note Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
@@ -136,5 +137,5 @@
    PRIVATE :: grid_zgr__bat 
    PRIVATE :: grid_zgr__zco 
-   PRIVATE :: grid_zgr__bat_zoom
+!   PRIVATE :: grid_zgr__bat_zoom
    PRIVATE :: grid_zgr__bat_ctl
    PRIVATE :: grid_zgr__bot_level
@@ -208,17 +209,17 @@
       REAL(dp)          :: d_wdld 
 
-      CHARACTER(LEN=lc) :: c_cfg     
-      INTEGER(i4)       :: i_cfg     
-      INTEGER(i4)       :: i_bench   
-      LOGICAL           :: l_zoom
+!      CHARACTER(LEN=lc) :: c_cfg     
+!      INTEGER(i4)       :: i_cfg     
+!      INTEGER(i4)       :: i_bench   
+!      LOGICAL           :: l_zoom
       LOGICAL           :: l_c1d
                 
-      CHARACTER(LEN=lc) :: c_cfz      
-      INTEGER(i4)       :: i_izoom    
-      INTEGER(i4)       :: i_jzoom    
-      LOGICAL           :: l_zoom_s   
-      LOGICAL           :: l_zoom_e   
-      LOGICAL           :: l_zoom_w   
-      LOGICAL           :: l_zoom_n
+!      CHARACTER(LEN=lc) :: c_cfz      
+!      INTEGER(i4)       :: i_izoom    
+!      INTEGER(i4)       :: i_jzoom    
+!      LOGICAL           :: l_zoom_s   
+!      LOGICAL           :: l_zoom_e   
+!      LOGICAL           :: l_zoom_w   
+!      LOGICAL           :: l_zoom_n
 
    END TYPE
@@ -277,6 +278,7 @@
    !> @param[in] jpj
    !> @param[in] jpk
+   !> @param[in] ld_sco
    !-------------------------------------------------------------------
-   SUBROUTINE grid_zgr_init( jpi,jpj,jpk ) 
+   SUBROUTINE grid_zgr_init( jpi,jpj,jpk, ld_sco ) 
       IMPLICIT NONE
       ! Argument      
@@ -284,4 +286,5 @@
       INTEGER(i4), INTENT(IN) :: jpj
       INTEGER(i4), INTENT(IN) :: jpk
+      LOGICAL    , INTENT(IN) :: ld_sco
 
       ! local variable
@@ -300,9 +303,12 @@
       tg_e3t_1d  =var_init('e3t_1d  ',dl_tmp1D(:)    , dd_fill=dp_fill, id_type=NF90_DOUBLE)
 
-      tg_gsigt   =var_init('gsigt   ',dl_tmp1D(:)    , dd_fill=dp_fill, id_type=NF90_DOUBLE)
-      tg_gsigw   =var_init('gsigw   ',dl_tmp1D(:)    , dd_fill=dp_fill, id_type=NF90_DOUBLE)
-      tg_gsi3w   =var_init('gsi3w   ',dl_tmp1D(:)    , dd_fill=dp_fill, id_type=NF90_DOUBLE)
-      tg_esigt   =var_init('esigt   ',dl_tmp1D(:)    , dd_fill=dp_fill, id_type=NF90_DOUBLE)
-      tg_esigw   =var_init('esigw   ',dl_tmp1D(:)    , dd_fill=dp_fill, id_type=NF90_DOUBLE)
+      !only sco
+      IF( ld_sco )THEN
+         tg_gsigt   =var_init('gsigt   ',dl_tmp1D(:)    , dd_fill=dp_fill, id_type=NF90_DOUBLE)
+         tg_gsigw   =var_init('gsigw   ',dl_tmp1D(:)    , dd_fill=dp_fill, id_type=NF90_DOUBLE)
+         tg_gsi3w   =var_init('gsi3w   ',dl_tmp1D(:)    , dd_fill=dp_fill, id_type=NF90_DOUBLE)
+         tg_esigt   =var_init('esigt   ',dl_tmp1D(:)    , dd_fill=dp_fill, id_type=NF90_DOUBLE)
+         tg_esigw   =var_init('esigw   ',dl_tmp1D(:)    , dd_fill=dp_fill, id_type=NF90_DOUBLE)
+      ENDIF
 
       ! variable 2D
@@ -322,8 +328,11 @@
       dl_tmp2D(:,:)  =dp_fill
 
-      tg_hbatt   =var_init('hbatt   ',dl_tmp2D(:,:)  , dd_fill=dp_fill, id_type=NF90_DOUBLE)
-      tg_hbatu   =var_init('hbatu   ',dl_tmp2D(:,:)  , dd_fill=dp_fill, id_type=NF90_DOUBLE)
-      tg_hbatv   =var_init('hbatv   ',dl_tmp2D(:,:)  , dd_fill=dp_fill, id_type=NF90_DOUBLE)
-      tg_hbatf   =var_init('hbatf   ',dl_tmp2D(:,:)  , dd_fill=dp_fill, id_type=NF90_DOUBLE)
+      ! only sco
+      IF( ld_sco )THEN
+         tg_hbatt   =var_init('hbatt   ',dl_tmp2D(:,:)  , dd_fill=dp_fill, id_type=NF90_DOUBLE)
+         tg_hbatu   =var_init('hbatu   ',dl_tmp2D(:,:)  , dd_fill=dp_fill, id_type=NF90_DOUBLE)
+         tg_hbatv   =var_init('hbatv   ',dl_tmp2D(:,:)  , dd_fill=dp_fill, id_type=NF90_DOUBLE)
+         tg_hbatf   =var_init('hbatf   ',dl_tmp2D(:,:)  , dd_fill=dp_fill, id_type=NF90_DOUBLE)
+      ENDIF
 
       ! variable 3D
@@ -351,8 +360,10 @@
    !> @date September, 2015 - Initial version
    !>
+   !> @param[in] ld_sco
    !-------------------------------------------------------------------
-   SUBROUTINE grid_zgr_clean() 
+   SUBROUTINE grid_zgr_clean(ld_sco) 
       IMPLICIT NONE
       ! Argument      
+      LOGICAL    , INTENT(IN) :: ld_sco
 
       ! local variable
@@ -365,9 +376,11 @@
       CALL var_clean(tg_e3t_1d  )
 
-      CALL var_clean(tg_gsigt   )
-      CALL var_clean(tg_gsigw   )
-      CALL var_clean(tg_gsi3w   )
-      CALL var_clean(tg_esigt   )
-      CALL var_clean(tg_esigw   )
+      IF( ld_sco )THEN
+         CALL var_clean(tg_gsigt   )
+         CALL var_clean(tg_gsigw   )
+         CALL var_clean(tg_gsi3w   )
+         CALL var_clean(tg_esigt   )
+         CALL var_clean(tg_esigw   )
+      ENDIF
       
       CALL var_clean(tg_mbathy  )
@@ -382,8 +395,10 @@
       !CALL var_clean(tg_mikf    )
 
-      CALL var_clean(tg_hbatt   )
-      CALL var_clean(tg_hbatu   )
-      CALL var_clean(tg_hbatv   )
-      CALL var_clean(tg_hbatf   )
+      IF( ld_sco )THEN
+         CALL var_clean(tg_hbatt   )
+         CALL var_clean(tg_hbatu   )
+         CALL var_clean(tg_hbatv   )
+         CALL var_clean(tg_hbatf   )
+      ENDIF
 
       CALL var_clean(tg_gdept_0 )
@@ -487,18 +502,18 @@
 
       ! namgrd
-      CHARACTER(LEN=lc) :: cn_cfg      = ''
-      INTEGER(i4)       :: in_cfg      = 0
-      INTEGER(i4)       :: in_bench    = 0
-      LOGICAL           :: ln_zoom     = .FALSE.
+!      CHARACTER(LEN=lc) :: cn_cfg      = ''
+!      INTEGER(i4)       :: in_cfg      = 0
+!      INTEGER(i4)       :: in_bench    = 0
+!      LOGICAL           :: ln_zoom     = .FALSE.
       LOGICAL           :: ln_c1d      = .FALSE.
 
-      ! namzoom
-      CHARACTER(LEN=lc) :: cn_cfz      =''
-      INTEGER(i4)       :: in_izoom    = NF90_FILL_INT
-      INTEGER(i4)       :: in_jzoom    = NF90_FILL_INT
-      LOGICAL           :: ln_zoom_s   = .FALSE.
-      LOGICAL           :: ln_zoom_e   = .FALSE.
-      LOGICAL           :: ln_zoom_w   = .FALSE.
-      LOGICAL           :: ln_zoom_n   = .FALSE.
+!      ! namzoom
+!      CHARACTER(LEN=lc) :: cn_cfz      =''
+!      INTEGER(i4)       :: in_izoom    = NF90_FILL_INT
+!      INTEGER(i4)       :: in_jzoom    = NF90_FILL_INT
+!      LOGICAL           :: ln_zoom_s   = .FALSE.
+!      LOGICAL           :: ln_zoom_e   = .FALSE.
+!      LOGICAL           :: ln_zoom_w   = .FALSE.
+!      LOGICAL           :: ln_zoom_n   = .FALSE.
       !----------------------------------------------------------------
       NAMELIST /namzgr/ &
@@ -562,18 +577,18 @@
 
       NAMELIST/namgrd/  &  !< orca grid namelist
-      &  cn_cfg,        &  !< name of the configuration (orca)
-      &  in_cfg,        &  !< resolution of the configuration (2,1,025..)
-      &  in_bench,      &  !< benchmark parameter (in_mshhgr = 5 )
-      &  ln_zoom,       &  !< use zoom
+!      &  cn_cfg,        &  !< name of the configuration (orca)
+!      &  in_cfg,        &  !< resolution of the configuration (2,1,025..)
+!      &  in_bench,      &  !< benchmark parameter (in_mshhgr = 5 )
+!      &  ln_zoom,       &  !< use zoom
       &  ln_c1d            !< use configuration 1D
 
-      NAMELIST /namzoom/&
-      &  cn_cfz,        &  !< name of the zoom of configuration
-      &  in_izoom,      &  !< left bottom i-indices of the zoom in data domain indices
-      &  in_jzoom,      &  !< left bottom j-indices of the zoom in data domain indices
-      &  ln_zoom_s,     &  !< South zoom type flag
-      &  ln_zoom_e,     &  !< East  zoom type flag
-      &  ln_zoom_w,     &  !< West  zoom type flag
-      &  ln_zoom_n         !< North zoom type flag
+!      NAMELIST /namzoom/&
+!      &  cn_cfz,        &  !< name of the zoom of configuration
+!      &  in_izoom,      &  !< left bottom i-indices of the zoom in data domain indices
+!      &  in_jzoom,      &  !< left bottom j-indices of the zoom in data domain indices
+!      &  ln_zoom_s,     &  !< South zoom type flag
+!      &  ln_zoom_e,     &  !< East  zoom type flag
+!      &  ln_zoom_w,     &  !< West  zoom type flag
+!      &  ln_zoom_n         !< North zoom type flag
       !----------------------------------------------------------------
    !1-2 read namelist
@@ -604,5 +619,5 @@
       READ( il_fileid, NML = namwd   )
       READ( il_fileid, NML = namgrd  )
-      IF( ln_zoom   ) READ( il_fileid, NML = namzoom )
+!      IF( ln_zoom   ) READ( il_fileid, NML = namzoom )
 
       CLOSE( il_fileid, IOSTAT=il_status )
@@ -667,17 +682,17 @@
       grid_zgr_nam%d_wdld     = dn_wdld  
 
-      grid_zgr_nam%c_cfg      = TRIM(cn_cfg)
-      grid_zgr_nam%i_cfg      = in_cfg
-      grid_zgr_nam%i_bench    = in_bench
-      grid_zgr_nam%l_zoom     = ln_zoom
+!      grid_zgr_nam%c_cfg      = TRIM(cn_cfg)
+!      grid_zgr_nam%i_cfg      = in_cfg
+!      grid_zgr_nam%i_bench    = in_bench
+!      grid_zgr_nam%l_zoom     = ln_zoom
       grid_zgr_nam%l_c1d      = ln_c1d
 
-      grid_zgr_nam%c_cfz      = cn_cfz   
-      grid_zgr_nam%i_izoom    = in_izoom 
-      grid_zgr_nam%i_jzoom    = in_jzoom 
-      grid_zgr_nam%l_zoom_s   = ln_zoom_s
-      grid_zgr_nam%l_zoom_e   = ln_zoom_e
-      grid_zgr_nam%l_zoom_w   = ln_zoom_w
-      grid_zgr_nam%l_zoom_n   = ln_zoom_n
+!      grid_zgr_nam%c_cfz      = cn_cfz   
+!      grid_zgr_nam%i_izoom    = in_izoom 
+!      grid_zgr_nam%i_jzoom    = in_jzoom 
+!      grid_zgr_nam%l_zoom_s   = ln_zoom_s
+!      grid_zgr_nam%l_zoom_e   = ln_zoom_e
+!      grid_zgr_nam%l_zoom_w   = ln_zoom_w
+!      grid_zgr_nam%l_zoom_n   = ln_zoom_n
 
    ELSE
@@ -751,5 +766,5 @@
 
       ! Bathymetry fields (levels and meters)
-      CALL grid_zgr__bat( td_nam,jpi,jpj,td_bathy,td_risfdep )
+      CALL grid_zgr__bat( td_nam,td_bathy,td_risfdep ) !jpi,jpj,td_bathy,td_risfdep )
 
       ! 1D config.: same bathy value over the 3x3 domain
@@ -768,6 +783,6 @@
       ! ----------------------------------
 
-      ! correct mbathy in case of zoom subdomain
-      IF( td_nam%l_zoom )   CALL grid_zgr__bat_zoom( td_nam,jpi,jpj )
+!      ! correct mbathy in case of zoom subdomain
+!      IF( td_nam%l_zoom )   CALL grid_zgr__bat_zoom( td_nam,jpi,jpj )
 
       ! check bathymetry (mbathy) and suppress isolated ocean points
@@ -775,8 +790,8 @@
 
       ! deepest ocean level for t-, u- and v-points
-      CALL grid_zgr__bot_level( td_nam,jpi,jpj )
+      CALL grid_zgr__bot_level( ) !td_nam,jpi,jpj )
 
       ! shallowest ocean level for T-, U-, V- points
-      CALL grid_zgr__top_level( td_nam,jpi,jpj )
+      CALL grid_zgr__top_level( ) !td_nam,jpi,jpj )
 
       ! 1D config.: same mbathy value over the 3x3 domain
@@ -1038,23 +1053,25 @@
    !> @author J.Paul
    !> @date September, 2015 - rewrite from zgr_bat
+   !> @date October, 2016
+   !> - do not use anymore special case for ORCA grid.
    !>
    !> @param[in] td_nam
-   !> @param[in] jpi
-   !> @param[in] jpj
+   ! @param[in] jpi
+   ! @param[in] jpj
    !> @param[in] td_bathy
    !> @param[in] td_risfdep
    !-------------------------------------------------------------------
-   SUBROUTINE grid_zgr__bat( td_nam,jpi,jpj,td_bathy,td_risfdep ) 
+   SUBROUTINE grid_zgr__bat( td_nam,td_bathy,td_risfdep ) !jpi,jpj,td_bathy,td_risfdep ) 
       IMPLICIT NONE
       ! Argument      
       TYPE(TNAMZ), INTENT(IN   ) :: td_nam
-      INTEGER(i4), INTENT(IN   ) :: jpi
-      INTEGER(i4), INTENT(IN   ) :: jpj
+!      INTEGER(i4), INTENT(IN   ) :: jpi
+!      INTEGER(i4), INTENT(IN   ) :: jpj
       TYPE(TVAR) , INTENT(INOUT) :: td_bathy
       TYPE(TVAR) , INTENT(INOUT) :: td_risfdep
 
       ! local variable
-      INTEGER(i4) :: ii0, ii1
-      INTEGER(i4) :: ij0, ij1
+!      INTEGER(i4) :: ii0, ii1
+!      INTEGER(i4) :: ij0, ij1
 
       REAL(dp)                                  :: zhmin
@@ -1075,21 +1092,21 @@
          tg_misfdep%d_value(:,:,1,1)=1
          !                                                ! =====================
-         IF( TRIM(td_nam%c_cfg) == "orca" .AND. td_nam%i_cfg == 2 ) THEN    ! ORCA R2 configuration
-            !                                             ! =====================
-            IF( td_nam%i_cla == 0 ) THEN
-               ii0 = 140   ;   ii1 = 140                  ! Gibraltar Strait open 
-               ij0 = 102   ;   ij1 = 102                  ! (Thomson, Ocean Modelling, 1995)
-               tg_mbathy%d_value(ii0:ii1,ij0:ij1,1,1) = 15
-               CALL logger_info('orca_r2: Gibraltar strait open at i='//&
-                  &  TRIM(fct_str(ii0))//' j='//TRIM(fct_str(ij0)) )
-               !
-               ii0 = 160   ;   ii1 = 160                  ! Bab el mandeb Strait open
-               ij0 = 88    ;   ij1 = 88                   ! (Thomson, Ocean Modelling, 1995)
-               tg_mbathy%d_value(ii0:ii1,ij0:ij1,1,1) = 12
-               CALL logger_info('orca_r2: Bab el Mandeb strait open at i='//&
-                  &  TRIM(fct_str(ii0))//' j='//TRIM(fct_str(ij0)) )
-            ENDIF
-            !
-         ENDIF
+!         IF( TRIM(td_nam%c_cfg) == "orca" .AND. td_nam%i_cfg == 2 ) THEN    ! ORCA R2 configuration
+!            !                                             ! =====================
+!            IF( td_nam%i_cla == 0 ) THEN
+!               ii0 = 140   ;   ii1 = 140                  ! Gibraltar Strait open 
+!               ij0 = 102   ;   ij1 = 102                  ! (Thomson, Ocean Modelling, 1995)
+!               tg_mbathy%d_value(ii0:ii1,ij0:ij1,1,1) = 15
+!               CALL logger_info('orca_r2: Gibraltar strait open at i='//&
+!                  &  TRIM(fct_str(ii0))//' j='//TRIM(fct_str(ij0)) )
+!               !
+!               ii0 = 160   ;   ii1 = 160                  ! Bab el mandeb Strait open
+!               ij0 = 88    ;   ij1 = 88                   ! (Thomson, Ocean Modelling, 1995)
+!               tg_mbathy%d_value(ii0:ii1,ij0:ij1,1,1) = 12
+!               CALL logger_info('orca_r2: Bab el Mandeb strait open at i='//&
+!                  &  TRIM(fct_str(ii0))//' j='//TRIM(fct_str(ij0)) )
+!            ENDIF
+!            !
+!         ENDIF
 
       ENDIF
@@ -1115,21 +1132,21 @@
          END IF
          !       
-         IF( TRIM(td_nam%c_cfg) == "orca" .AND. td_nam%i_cfg == 2 ) THEN    ! ORCA R2 configuration
-            !
-           IF( td_nam%i_cla == 0 ) THEN
-              ii0 = 140   ;   ii1 = 140                   ! Gibraltar Strait open 
-              ij0 = 102   ;   ij1 = 102                   ! (Thomson, Ocean Modelling, 1995)
-              td_bathy%d_value(ii0:ii1,ij0:ij1,1,1) = 284._dp 
-              CALL logger_info('orca_r2: Gibraltar strait open at i='//&
-                 &   TRIM(fct_str(ii0))//' j='//TRIM(fct_str(ij0)) )
-              !
-              ii0 = 160   ;   ii1 = 160                   ! Bab el mandeb Strait open
-              ij0 = 88    ;   ij1 = 88                    ! (Thomson, Ocean Modelling, 1995)
-              td_bathy%d_value(ii0:ii1,ij0:ij1,1,1) = 137._dp
-              CALL logger_info('orca_r2: Bab el Mandeb strait open at i='//&
-                 &   TRIM(fct_str(ii0))//' j='//TRIM(fct_str(ij0)) )
-           ENDIF
-           !
-        ENDIF
+!         IF( TRIM(td_nam%c_cfg) == "orca" .AND. td_nam%i_cfg == 2 ) THEN    ! ORCA R2 configuration
+!            !
+!           IF( td_nam%i_cla == 0 ) THEN
+!              ii0 = 140   ;   ii1 = 140                   ! Gibraltar Strait open 
+!              ij0 = 102   ;   ij1 = 102                   ! (Thomson, Ocean Modelling, 1995)
+!              td_bathy%d_value(ii0:ii1,ij0:ij1,1,1) = 284._dp 
+!              CALL logger_info('orca_r2: Gibraltar strait open at i='//&
+!                 &   TRIM(fct_str(ii0))//' j='//TRIM(fct_str(ij0)) )
+!              !
+!              ii0 = 160   ;   ii1 = 160                   ! Bab el mandeb Strait open
+!              ij0 = 88    ;   ij1 = 88                    ! (Thomson, Ocean Modelling, 1995)
+!              td_bathy%d_value(ii0:ii1,ij0:ij1,1,1) = 137._dp
+!              CALL logger_info('orca_r2: Bab el Mandeb strait open at i='//&
+!                 &   TRIM(fct_str(ii0))//' j='//TRIM(fct_str(ij0)) )
+!           ENDIF
+!           !
+!        ENDIF
          !
       ENDIF      
@@ -1201,68 +1218,68 @@
 
    END SUBROUTINE grid_zgr__zco
-   !-------------------------------------------------------------------
-   !> @brief This subroutine : 
-   !> - close zoom domain boundary if necessary
-   !> - suppress Med Sea from ORCA R2 and R05 arctic zoom
-   !> 
-   !> @author J.Paul
-   !> @date September, 2015 - Initial version
-   !>
-   !> @param[in] td_nam
-   !> @param[in] jpi
-   !> @param[in] jpj
-   !-------------------------------------------------------------------
-   SUBROUTINE grid_zgr__bat_zoom(td_nam,jpi,jpj) 
-      IMPLICIT NONE
-      ! Argument      
-      TYPE(TNAMZ), INTENT(IN   ) :: td_nam
-      INTEGER(i4), INTENT(IN   ) :: jpi
-      INTEGER(i4), INTENT(IN   ) :: jpj
-
-      ! local variable
-      INTEGER(i4) :: jpizoom
-      INTEGER(i4) :: jpjzoom
-
-      INTEGER(i4) :: ii0, ii1
-      INTEGER(i4) :: ij0, ij1
-      ! loop indices
-      !----------------------------------------------------------------
-
-      CALL logger_info('GRID ZGR BAT ZOOM : modify the level bathymetry for zoom domain')
-      CALL logger_info('~~~~~~~~~~~~')
-
-      jpizoom=td_nam%i_izoom
-      jpjzoom=td_nam%i_jzoom
-
-      ! Forced closed boundary if required
-      IF( td_nam%l_zoom_s ) tg_mbathy%d_value(    :         ,    jpjzoom  ,1,1) = 0
-      IF( td_nam%l_zoom_w ) tg_mbathy%d_value(     jpizoom  ,   :         ,1,1) = 0
-      IF( td_nam%l_zoom_e ) tg_mbathy%d_value( jpi+jpizoom-1,   :         ,1,1) = 0
-      IF( td_nam%l_zoom_n ) tg_mbathy%d_value(    :         ,jpj+jpjzoom-1,1,1) = 0
-
-      ! Configuration specific domain modifications
-      ! (here, ORCA arctic configuration: suppress Med Sea)
-      IF( TRIM(td_nam%c_cfg) == "orca" .AND. &
-        & TRIM(td_nam%c_cfz) == "arctic" ) THEN
-         SELECT CASE ( td_nam%i_cfg )
-         !                                        ! =======================
-         CASE ( 2 )                               !  ORCA_R2 configuration
-            !                                     ! =======================
-            CALL logger_info('ORCA R2 arctic zoom: suppress the Med Sea')
-            ii0 = 141   ;   ii1 = 162      ! Sea box i,j indices
-            ij0 =  98   ;   ij1 = 110
-            !                                     ! =======================
-         CASE ( 05 )                              !  ORCA_R05 configuration
-            !                                     ! =======================
-            CALL logger_info('ORCA R05 arctic zoom: suppress the Med Sea')
-            ii0 = 563   ;   ii1 = 642      ! zero over the Med Sea boxe
-            ij0 = 314   ;   ij1 = 370 
-         END SELECT
-         !
-         tg_mbathy%d_value( ii0:ii1, ij0:ij1, 1, 1) = 0   ! zero over the Med Sea boxe
-         !
-      ENDIF
-
-   END SUBROUTINE grid_zgr__bat_zoom
+!   !-------------------------------------------------------------------
+!   !> @brief This subroutine : 
+!   !> - close zoom domain boundary if necessary
+!   !> - suppress Med Sea from ORCA R2 and R05 arctic zoom
+!   !> 
+!   !> @author J.Paul
+!   !> @date September, 2015 - Initial version
+!   !>
+!   !> @param[in] td_nam
+!   !> @param[in] jpi
+!   !> @param[in] jpj
+!   !-------------------------------------------------------------------
+!   SUBROUTINE grid_zgr__bat_zoom(td_nam,jpi,jpj) 
+!      IMPLICIT NONE
+!      ! Argument      
+!      TYPE(TNAMZ), INTENT(IN   ) :: td_nam
+!      INTEGER(i4), INTENT(IN   ) :: jpi
+!      INTEGER(i4), INTENT(IN   ) :: jpj
+!
+!      ! local variable
+!      INTEGER(i4) :: jpizoom
+!      INTEGER(i4) :: jpjzoom
+!
+!      INTEGER(i4) :: ii0, ii1
+!      INTEGER(i4) :: ij0, ij1
+!      ! loop indices
+!      !----------------------------------------------------------------
+!
+!      CALL logger_info('GRID ZGR BAT ZOOM : modify the level bathymetry for zoom domain')
+!      CALL logger_info('~~~~~~~~~~~~')
+!
+!      jpizoom=td_nam%i_izoom
+!      jpjzoom=td_nam%i_jzoom
+!
+!      ! Forced closed boundary if required
+!      IF( td_nam%l_zoom_s ) tg_mbathy%d_value(    :         ,    jpjzoom  ,1,1) = 0
+!      IF( td_nam%l_zoom_w ) tg_mbathy%d_value(     jpizoom  ,   :         ,1,1) = 0
+!      IF( td_nam%l_zoom_e ) tg_mbathy%d_value( jpi+jpizoom-1,   :         ,1,1) = 0
+!      IF( td_nam%l_zoom_n ) tg_mbathy%d_value(    :         ,jpj+jpjzoom-1,1,1) = 0
+!
+!      ! Configuration specific domain modifications
+!      ! (here, ORCA arctic configuration: suppress Med Sea)
+!      IF( TRIM(td_nam%c_cfg) == "orca" .AND. &
+!        & TRIM(td_nam%c_cfz) == "arctic" ) THEN
+!         SELECT CASE ( td_nam%i_cfg )
+!         !                                        ! =======================
+!         CASE ( 2 )                               !  ORCA_R2 configuration
+!            !                                     ! =======================
+!            CALL logger_info('ORCA R2 arctic zoom: suppress the Med Sea')
+!            ii0 = 141   ;   ii1 = 162      ! Sea box i,j indices
+!            ij0 =  98   ;   ij1 = 110
+!            !                                     ! =======================
+!         CASE ( 05 )                              !  ORCA_R05 configuration
+!            !                                     ! =======================
+!            CALL logger_info('ORCA R05 arctic zoom: suppress the Med Sea')
+!            ii0 = 563   ;   ii1 = 642      ! zero over the Med Sea boxe
+!            ij0 = 314   ;   ij1 = 370 
+!         END SELECT
+!         !
+!         tg_mbathy%d_value( ii0:ii1, ij0:ij1, 1, 1) = 0   ! zero over the Med Sea boxe
+!         !
+!      ENDIF
+!
+!   END SUBROUTINE grid_zgr__bat_zoom
    !-------------------------------------------------------------------
    !> @brief This subroutine check the bathymetry in levels
@@ -1420,14 +1437,14 @@
    !> @date September, 2015 - rewrite from zgr_bot_level
    !>
-   !> @param[in] td_nam
-   !> @param[in] jpi
-   !> @param[in] jpj
+   ! @param[in] td_nam
+   ! @param[in] jpi
+   ! @param[in] jpj
    !-------------------------------------------------------------------
-   SUBROUTINE grid_zgr__bot_level(td_nam,jpi,jpj) 
+   SUBROUTINE grid_zgr__bot_level( )!td_nam,jpi,jpj) 
       IMPLICIT NONE
       ! Argument      
-      TYPE(TNAMZ), INTENT(IN   ) :: td_nam
-      INTEGER(i4), INTENT(IN   ) :: jpi
-      INTEGER(i4), INTENT(IN   ) :: jpj
+!      TYPE(TNAMZ), INTENT(IN   ) :: td_nam
+!      INTEGER(i4), INTENT(IN   ) :: jpi
+!      INTEGER(i4), INTENT(IN   ) :: jpj
 
       ! local variable
@@ -1474,14 +1491,14 @@
    !> @date September, 2015 - rewrite from zgr_top_level
    !>
-   !> @param[in] td_nam
-   !> @param[in] jpi
-   !> @param[in] jpj
+   ! @param[in] td_nam
+   ! @param[in] jpi
+   ! @param[in] jpj
    !-------------------------------------------------------------------
-   SUBROUTINE grid_zgr__top_level(td_nam,jpi,jpj) 
+   SUBROUTINE grid_zgr__top_level( )!td_nam,jpi,jpj) 
       IMPLICIT NONE
       ! Argument      
-      TYPE(TNAMZ), INTENT(IN   ) :: td_nam
-      INTEGER(i4), INTENT(IN   ) :: jpi
-      INTEGER(i4), INTENT(IN   ) :: jpj
+!      TYPE(TNAMZ), INTENT(IN   ) :: td_nam
+!      INTEGER(i4), INTENT(IN   ) :: jpi
+!      INTEGER(i4), INTENT(IN   ) :: jpj
       ! local variable
 
@@ -2995,4 +3012,5 @@
       INTEGER(i4), INTENT(IN) :: jpi
       INTEGER(i4), INTENT(IN) :: jpj
+!      LOGICAL    , INTENT(IN) :: ld_domcfg
 
       ! local variable
@@ -3446,5 +3464,5 @@
          CALL grid_zgr__sco_s_tanh( td_nam,jpi,jpj,jpk, &
          &                          dl_scosrf, &
-         &                          dl_hift, dl_hifu, dl_hifv, dl_hiff )
+         &                          dl_hift, dl_hifu, dl_hifv)!, dl_hiff )
       ENDIF
 
@@ -3769,10 +3787,13 @@
                tg_e3v_0%d_value(ji,jj,jk,1) = ( ( tg_hbatv%d_value(ji,jj,1,1) - td_nam%d_hc )*z_esigtv3(ji,jj,jk) &
                   &                            + td_nam%d_hc / REAL(jpk-1,dp) )
-               !tg_e3f_0%d_value(ji,jj,jk,1) = ( (tg_hbatf%d_value(ji,jj,1,1)-td_nam%d_hc)*z_esigtf3(ji,jj,jk) + td_nam%d_hc/REAL(jpk-1,dp) )
+               !tg_e3f_0%d_value(ji,jj,jk,1) = ( ( tg_hbatf%d_value(ji,jj,1,1) - td_nam%d_hc ) *z_esigtf3(ji,jj,jk) &
+               !   &                            + td_nam%d_hc/REAL(jpk-1,dp) )
                !
                tg_e3w_0%d_value (ji,jj,jk,1)= ( ( tg_hbatt%d_value(ji,jj,1,1) - td_nam%d_hc )*z_esigw3 (ji,jj,jk) &
                   &                            + td_nam%d_hc / REAL(jpk-1,dp) )
-               !tg_e3uw_0%d_value(ji,jj,jk,1)= ( (tg_hbatu%d_value(ji,jj,1,1)-td_nam%d_hc)*z_esigwu3(ji,jj,jk) + td_nam%d_hc/REAL(jpk-1,dp) )
-               !tg_e3vw_0%d_value(ji,jj,jk,1)= ( (tg_hbatv%d_value(ji,jj,1,1)-td_nam%d_hc)*z_esigwv3(ji,jj,jk) + td_nam%d_hc/REAL(jpk-1,dp) )
+               !tg_e3uw_0%d_value(ji,jj,jk,1)= ( ( tg_hbatu%d_value(ji,jj,1,1) - td_nam%d_hc)*z_esigwu3(ji,jj,jk) &
+               !  &                             + td_nam%d_hc/REAL(jpk-1,dp) )
+               !tg_e3vw_0%d_value(ji,jj,jk,1)= ( ( tg_hbatv%d_value(ji,jj,1,1) - td_nam%d_hc)*z_esigwv3(ji,jj,jk) &
+               !  &                             + td_nam%d_hc/REAL(jpk-1,dp) )
             END DO
         END DO
@@ -4043,9 +4064,9 @@
    !> @param[in] dd_hifu 
    !> @param[in] dd_hifv 
-   !> @param[in] dd_hiff 
+   ! @param[in] dd_hiff 
    !-------------------------------------------------------------------
    SUBROUTINE grid_zgr__sco_s_tanh( td_nam,jpi,jpj,jpk, &
          &                          dd_scosrf, &
-         &                          dd_hift, dd_hifu, dd_hifv, dd_hiff ) 
+         &                          dd_hift, dd_hifu, dd_hifv)!, dd_hiff ) 
       IMPLICIT NONE
       ! Argument      
@@ -4058,5 +4079,5 @@
       REAL(dp)   , DIMENSION(:,:), INTENT(IN   ) :: dd_hifu
       REAL(dp)   , DIMENSION(:,:), INTENT(IN   ) :: dd_hifv
-      REAL(dp)   , DIMENSION(:,:), INTENT(IN   ) :: dd_hiff
+!      REAL(dp)   , DIMENSION(:,:), INTENT(IN   ) :: dd_hiff
 
       ! local variable
Index: branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/iom.f90
===================================================================
--- branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/iom.f90	(revision 7148)
+++ branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/iom.f90	(revision 7153)
@@ -157,6 +157,4 @@
    !> @author J.Paul
    !> @date November, 2013 - Initial Version
-   !> @date October, 2016
-   !> - open cdf4 file as cdf
    !>
    !> @param[inout] td_file file structure
@@ -174,5 +172,5 @@
       SELECT CASE(TRIM(ADJUSTL(fct_lower(td_file%c_type))))
 
-         CASE('cdf','cdf4')
+         CASE('cdf')
             CALL iom_cdf_open(td_file)
          CASE('dimg')
